<?PHP
/************************************************************************/
/* NPDS V : Net Portal Dynamic System !                                 */
/* ===========================                                          */
/*                                                                      */
/* Original Copyright (c) 2001 by Francisco Burzi (fburzi@ncc.org.ve)   */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001-2003 by Philippe Brunier   */
/*                                                                      */
/************************************************************************/
/*  Tranlated by :
    Albert Bruc (al@linuxfrench.net)
    Philippe LEVIEZ (pleviez@vintagevw.org)
    Antoine Corbin (tonial@cosmosonic.com)
    Gaël Duval (gduval@cosmosonic.com)
    Patrick Lefèbvre 08/2001 (patrick.lefebvre@skynet.be)
*/

function translate($phrase) {
   $tmp=translate_pass1($phrase);
   include("language/lang-mods.php");

   if (cur_charset=="utf-8") {
      return utf8_encode($tmp);
   } else {
      return ($tmp);
   }
}

function translate_pass1($phrase) {
 switch($phrase) {
   case "$englishname": $tmp = "$englishname"; break;
   case "datestring": $tmp = "%A, %B %d @ %T %Z"; break;
   case "linksdatestring": $tmp = "%m-%d-%Y"; break;
   case "datestring2": $tmp = "%A, %B %d"; break;
   case "dateinternal": $tmp = "Y-m-d H:i"; break;

   // NPDS Sable
   case "daydate": $tmp="%A, %B %e %Y"; break; // meta-lang !date!
   // NPDS Sable

   default: $tmp = "$phrase"; break;
 }
 return $tmp;
}
?>